/* ---------------------------------------------------------------------------
 *
 *   This file is part of OpenFTPD (based on FTP4ALL)
 *   (C) 1996-2000 by Crescent, (C) 2000 by the OpenFTPD Team
 *
 * ---------------------------------------------------------------------------
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 * ---------------------------------------------------------------------------
 *   HEADER: externs.h - global extern variables
 * ---------------------------------------------------------------------------
 */

#ifndef _ftpd_externsd_h
#define _ftpd_externsd_h

#include "definesd.h"

extern char default_base_dir[];
extern char default_errlog_file[];
extern char default_log_file[];
extern char default_permission_file[];
extern char default_server_program[];
extern char default_swho_top_msg[];
extern char default_swho_body_msg[];
extern char default_swho_tail_msg[];
extern char default_who_top_msg[];
extern char default_who_body_msg[];
extern char default_who_tail_msg[];
extern char salt_a[];
extern struct msg_s swho_top_msg;
extern struct msg_s swho_body_msg;
extern struct msg_s swho_tail_msg;
extern struct msg_s who_top_msg;
extern struct msg_s who_body_msg;
extern struct msg_s who_tail_msg;

extern int                 admin_port;
extern int                 admin_port_new;
extern char                admin_program[];
extern int                 admin_socket;
extern int                 admin_socket_new;
extern struct ip_s*        allowip;
extern int                 allowip_count;
extern char*               alternative_srv;
extern int                 autohome;
extern char*               base_dir;
extern char*               bouncer;
extern int                 bouncertimeout;
extern int                 checktimeout;
extern struct child_s*     child;
extern int                 child_size;
extern int                 children;
extern struct ip_s*        denyip;
extern int                 denyip_count;
extern char*               destroy_login;
extern char*               destroy_password;
extern char*               dupechk;

extern struct dupe_s*      dupe;
extern int                 dupe_count;
extern int                 dupe_size;
extern int                 dupe_dirty;

extern char*               dupe_path;
extern char*               errlog_file;
extern FILE*               errlogf;
extern int                 fconv_value;
extern fd_set              fdset;
extern char*               ff_path;
extern int                 flags;
extern char*               ftpserrlog_file;
extern struct group_s*     group;
extern gint64               groupop_rights;
extern int                 group_count;
extern char*               group_file;
extern int                 group_size;
extern char*               gstat_file;
extern char*               hidden_files; 
extern char*               homepath;
extern int                 homeumask;
extern int                 ipbans_dirty;
extern char*               kickonnuke;
extern int                 logc;
extern char*               log_file;
extern int                 log_level;
extern pid_t               log_pid;
extern char*               log_program;
extern FILE*               log_program_f;
extern FILE*               logf;
extern int                 login_retries;
extern int                 min_freemb;
extern int                 num_anon;
extern int                 num_users;
extern char*               passive_ip;
extern char*               other_ip;
extern char*               permission_file;
extern char*               pid_file;
extern int                 port;
extern int                 port_new;
extern int                 port2;
extern int                 port2_new;
extern char*               pre_download;
extern char*               pre_upload;
extern int                 private_mode;
extern char*               program_name;
extern char*               readme_file;
extern char*               rejected_ips;
extern char*               rejected_hops;   
extern struct section_s*   section;
extern int                 section_count;
extern int                 section_size;
extern int                 section_stat_dirty;
extern char                server_dir[];
extern char                server_program[];
extern char*               server_program_ptr;
extern int                 set_gid;
extern int                 set_uid;
extern struct shandler_s*  shandler;
extern int                 shandler_count;
extern fd_set              shandler_fdset;
extern int                 shandler_size;
extern int                 showinfo;  /* on user change show user information */
extern int                 show_dfl_section;
extern int                 sig_array[];
extern int                 sig_read;
extern int                 sig_write;
extern int                 sitegive; /* enable/disable site give command */
extern gint64               siteop_rights;
extern int                 ss;
extern int                 ss_new;
extern int                 ss2;
extern int                 ss2_new;
extern time_t              startup_time;
extern char*               stat_dir;
extern char*               stat_file;
extern int                 stat_month;
extern int                 stat_week;
extern int                 stat_day;
extern int                 stat_year;
extern int                 state;
extern int                 timeout_anon;
extern int                 timeout_root; 
extern int                 timeout_user;
extern gint64               total_ul_speed;    /* speed of ALL upload sessions */
extern gint64               total_dl_speed; 
extern char                tls_force_flag;
extern int                 umask_value;
extern struct user_s*      user;
extern int                 user_count;
extern char*               user_file;
extern int                 user_size;
extern char*               xdupe_mask;

extern int                 reply_count;
#ifdef DEBUG
  extern FILE* debugf;
#endif

#endif

/* EOF */
