/*   user.h
 *
 *   This file is part of FTP4ALL
 * 
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern int user_dirty;

int get_ident(char** ipr, char* ident);
int get_oneip(char** ipr, char* l, char* h);
int get_iprange(char** ipr, char* ident);
void inituser(struct user_s* u);
void update_user(struct user_s* u_old, struct user_s* u_new);
struct user_s* insert_user(struct user_s* new);
int get_user(char* p);
int load_user_file(const char* filename, int force);
int save_user_file(const char* filename);
void update_updown(struct child_s* c, struct user_s* u,
  gint64 up, gint64 down, gint64 uptime, gint64 downtime, 
  gint32 day, gint32 week, gint32 month, gint32 year, gint32 total,
  struct section_s* path);
int account_disabled(struct user_s* u);
int allowed(struct user_s* u, gint64 right, struct user_s* target);
int anonuser(struct user_s* u);
int coloruser(struct user_s* u);
int groupop(struct user_s* u);
int groupopof(struct user_s* u, gint32 gid);
int invisible(struct user_s* u);
int no_pass_change(struct user_s* u);
int no_credit(struct user_s* u);
int normaluser(struct user_s* u);
int siteop(struct user_s* u);
int superuser(struct user_s* u);
int templateuser(struct user_s* u);
struct user_s* get_user_by_uid(gint32 uid);
struct user_s* get_user_by_name(char* name);
void print_iprange(char* s, char* iprange);
void print_ident(char* s, char* ident);
void create_initial_superuser(void);
void restore_initial_superuser(void);
gint32 get_new_uid(void);
int load_user_file_v3012(char* filename, int force);
void add_weekly_credits();
/* EOF */
