/*   defines.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "commondef.h"

struct user_s
{ 
   char  name[10];
   gint32 uid;
};

struct user_f_s
{ 
   char   name[10];
   gint32  uid;
   gint32  gid;
   gint64  downloaded;
   gint64  uploaded;
   time_t last_login;
   gint32  limit;
   gint64  credit;
   gint32  gids[8];
   gint32  class;
   char   ident[12];
   long   ipaddr;
   char   info[32];
   char   home[256];
};

struct group_s
{ 
   gint32 gid;
   char  name[10];
};

struct dirstat_s
{
   gint32 uid;
   gint32 gid;
   gint32 files;
   gint64 size;  
};


#define S_FILE      1
#define S_RECORD    2
#define T_ASCII     1
#define T_IMAGE     2

#define sig_size    8

/* EOF */
