/*   globals.h
 *
 *   This file is part of FTP4ALL
 *
 *   Copyright (C) 1996-1999 by Crescent
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _ftps_globals_h
#define _ftps_globals_h

#include "defines.h"

char default_cdup_msg[]     = "CDUP command successful.\r\n";
char default_chdir_msg[]    = "CWD command successful.\r\n";
char default_dele_msg[]     = "DELE command successful.\r\n";
char default_download_msg[] = "Transfer completed.\r\n";
char default_goodbye_msg[]  = "Goodbye.\r\n";
char default_nuke_msg[]     = "Nuke successful.\r\n"; 
char default_unnuke_msg[]   = "Unnuke successful.\r\n";
char default_list_msg[]     = "Directory listing completed.\r\n";
char default_mkdir_msg[]    = "MKDIR command successful.\r\n";
char default_rmdir_msg[]    = "RMDIR command successful.\r\n";
char default_startup_msg[]  = "OpenFTPD Server "VERSION" ready.\r\n";
char default_toomany_msg[]  = "Too many users are logged in at the moment. Try again later.\r\n";
char default_upload_msg[]   = "Transfer completed.\r\n";
char default_welcome_msg[]  = "User %S logged in.\r\n";
char default_close_msg[]    = "Server is temporary closed.\r\n";

/* struct msg_s cdup_msg     = { "cdup",    0,NULL,0,0,default_cdup_msg }; */
/* struct msg_s chdir_msg    = { "chdir",   0,NULL,0,0,default_chdir_msg }; */
struct msg_s dele_msg     = { "dele",    0,NULL,0,0,default_dele_msg };
struct msg_s download_msg = { "download",0,NULL,0,0,default_download_msg };
/* struct msg_s goodbye_msg  = { "goodbye", 0,NULL,0,0,default_goodbye_msg }; */
/* struct msg_s list_msg     = { "list",    0,NULL,0,0,default_list_msg }; */
struct msg_s mkdir_msg    = { "mkdir",   0,NULL,0,0,default_mkdir_msg };
struct msg_s rmdir_msg    = { "rmdir",   0,NULL,0,0,default_rmdir_msg };
/* struct msg_s startup_msg  = { "startup", 0,NULL,0,0,default_startup_msg }; */
/* struct msg_s toomany_msg  = { "toomany", 0,NULL,0,0,default_toomany_msg }; */
struct msg_s upload_msg   = { "upload",  0,NULL,0,0,default_upload_msg };
/* struct msg_s welcome_msg  = { "welcome", 0,NULL,0,0,default_welcome_msg }; */
struct msg_s nuke_msg     = { "nuke",    0,NULL,0,0,default_nuke_msg }; 
struct msg_s unnuke_msg   = { "unnuke", 0,NULL,0,0,default_unnuke_msg };

struct sockaddr_in  addr;
char*               anonpass            = NULL;
int                 anonymous           = 0;
int                 bsize               = 4096;
gint64               bytes_downloaded    = 0;
gint64               bytes_uploaded      = 0;
int                 calc_checksum       = 0;
struct check_s*     check               = NULL;
int                 check_count         = 0;
int                 check_size          = 0;
int                 checktimeout        = 0;
int                 close_reason        = CL_ERROR;
int                 close_server        = 0;
struct customcmd_s* customcmd           = NULL;
int                 customcmd_count     = 0;
int                 customcmd_size      = 0;
struct check_s*     dcheck              = NULL;
int                 dcheck_count        = 0;
int                 dcheck_size         = 0;
struct check_s*     delcheck            = NULL;
int                 delcheck_count      = 0;
int                 delcheck_size       = 0;  
struct check_s*     dirdcheck           = NULL;
int                 dirdcheck_count     = 0;
int                 dirdcheck_size      = 0;
gint32               dl_speed            = 0;
char*               dshortcut           = NULL;
int                 dshortcut_len       = 0;
int                 dshortcut_size      = 0;
char*               dupechk             = NULL;
char*               dupe_path           = NULL;
int                 fconv_mode          = 0;
char*               ff_path             = NULL;
int                 flags               = FLAGS_DEFAULT;
int                 fullspeed           = 0; /* limit exeption for root */ 
struct group_s*     group               = NULL;
int                 group_count         = 0;
int                 group_size          = 0;
char*               hidden_files        = NULL; /* added by primemover */
char*               kickonnuke          = NULL;
long                ipaddr              = 0;
long                last_speed          = 0;
int                 logged_in           = 0;
int                 login_retries       = 0;
int                 min_freemb          = 0;
long                passive_ip_s        = 0;
long                other_ip_s          = 0;
int                 pasvsock            = -1;
char*               permission_file     = NULL;
char*               pre_download        = NULL;
char*               pre_upload          = NULL;
char*               readme_file         = NULL;
char*               rejected_hops       = NULL;
long                rest_offset         = 0;
int                 retries             = 0;
int                 scriptabort         = 0;
char                server_dir[256]     = "";
/* char*               shortcut            = NULL; */
int                 sig_array[sig_size];
int                 sig_read            = 0;
int                 sig_write           = 0;
int                 sock;
FILE*               sockf;
FILE*               sockfr;
int                 structure           = S_FILE;
int                 timeout             = 60;
int                 type                = T_ASCII;
gint32               ul_speed            = 0;
long                umask_value;
int                 user_locked         = 0;
long                default_umask       = 0x7F1300;
struct user_s*      user                = NULL;
int                 user_count          = 0;
int                 user_size           = 0;
struct user_f_s     usr;
int                 showinfo            = 0;
int                 sitegive            = 0;
#endif

/* EOF */
