#!/usr/bin/perl -w

##########################################################################
#                                                                        #
#  bnctest.pl V0.1 - Checks if BNCs are up and runing                    #
#                                                                        #
#  original script by poing - few modifications by fejf                  #
#                                                                        #
#  fejf@gmx.de                                          www.openftpd.org #
#                                                                        #
# -----------------------------------------------------------------------#
#                                                                        #
#  This program is free software; you can redistribute it and/or modify  #
#  it under the terms of the GNU General Public License as published by  #
#  the Free Software Foundation; either version 2 of the License, or     #
#  (at your option) any later version.                                   #
#                                                                        #
##########################################################################


use strict;
use Net::FTP;

my $b = pack("c", 2);
my ($i, $hostname, $port, $bnc);
my ($temp, $starttime, $timetaken);

# change these values
#########################################################

my $site	= "ABC";
my $username	= "user";
my $password	= "passwd";
my @bncs	= ( "l33t1.openftpd.org:21", "l33t2.openftpd.org:21", "192.168.1.1:12345" );

# start testing
#########################################################

foreach $bnc (@bncs) {
	($hostname, $port) = split(/:/, $bnc);
	print "[".$b."$site".$b."] -BNC- $hostname:$port";
	foreach $i (0..(40-length("[$site] -BNC- $hostname:$port"))) {
		print " ";
	}
	$starttime = time;
	$temp = Net::FTP->new($hostname, Port => $port, Debug => 0 , Timeout => 10);
	if ($temp) {
		if ($temp->login($username, $password)) {
			$timetaken=time-$starttime; 
			print $b."UP".$b." ($timetaken second"; 
			if ($timetaken ne 1) {
				print "s";
			}
			print ")\n";
			$temp->quit;
		}
		else {
			print $b."UP".$b." (no login)\n"; 
		}
	}
	else {
		print $b."DOWN".$b."\n";
	}
}
